io.vertx.rx.java

## Class ObservableOnSubscribeAdapter<T>

- java.lang.Object
- - io.vertx.rx.java.ObservableOnSubscribeAdapter<T>

- All Implemented Interfaces:
    Action, Action1<Subscriber<? super T>>, Function, Observable.OnSubscribe<T>
  Direct Known Subclasses:
    HandlerAdapter

      public class ObservableOnSubscribeAdapter<T>
      extends Object
      implements Observable.OnSubscribe<T>

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AtomicReference<io.vertx.rx.java.ObservableOnSubscribeAdapter.SingleSubscription>` | `subRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableOnSubscribeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call(Subscriber<? super T> sub)` Subscription
    `protected void` | `fireComplete()` Fire completed to active observer
    `protected void` | `fireError(Throwable t)` Fire error to active observer
    `protected void` | `fireNext(T next)` Fire next to active observer
    `protected void` | `fireResult(T res)` Fire result to active observer
    `protected Subscriber<? super T>` | `getSubscriber()` Get subscriber
    `protected void` | `onSubscribed()`
    `protected void` | `onUnsubscribed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subRef

          protected final AtomicReference<io.vertx.rx.java.ObservableOnSubscribeAdapter.SingleSubscription> subRef

  - ### Constructor Detail

    - #### ObservableOnSubscribeAdapter

          public ObservableOnSubscribeAdapter()

  - ### Method Detail

    - #### call

          public void call(Subscriber<? super T> sub)

      Subscription
      Specified by:
        `call` in interface `Action1<Subscriber<? super T>>`

    - #### onSubscribed

          protected void onSubscribed()

    - #### onUnsubscribed

          protected void onUnsubscribed()

    - #### fireNext

          protected final void fireNext(T next)

      Fire next to active observer

    - #### fireResult

          protected final void fireResult(T res)

      Fire result to active observer

    - #### fireComplete

          protected void fireComplete()

      Fire completed to active observer

    - #### fireError

          protected void fireError(Throwable t)

      Fire error to active observer

    - #### getSubscriber

          protected Subscriber<? super T> getSubscriber()

      Get subscriber

Copyright © 2024 Eclipse. All rights reserved.